Skip to main content
PUT
/
contacts
/
{id}
cURL
curl --request PUT \
  --url https://api.notocat.com/v1/contacts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "name": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "subscribed": true,
  "custom_fields": {}
}
'
import requests

url = "https://api.notocat.com/v1/contacts/{id}"

payload = {
"email": "<string>",
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"subscribed": True,
"custom_fields": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
name: '<string>',
first_name: '<string>',
last_name: '<string>',
subscribed: true,
custom_fields: {}
})
};

fetch('https://api.notocat.com/v1/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "workspace_id": "<string>",
  "name": "<string>",
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "subscribed": true,
  "unsub_token": "<string>",
  "custom_fields": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
"error": 123,
"message": "<string>"
}
This endpoint can be used to update a single contact at a time by providing the contact ID. con_D6zCfeVDaAAT-b9dl9SIE is the contact ID in the example below.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the contact to update

Body

application/json

The data to update the contact with

email
string
required

The email of the contact

name
string

The name of the contact

first_name
string

The first name of the contact

last_name
string

The last name of the contact

subscribed
boolean
default:true

Subscription status of the contact

custom_fields
object

Custom fields for the contact. Can be a key: value object or an array of objects. If the value is a date, it must be in ISO format or YYYY-MM-DD to be picked up correctly.

Response

Contact updated

id
string

The contact ID

workspace_id
string

The workspace ID

name
string

The name of the contact

first_name
string

The first name of the contact

last_name
string

The last name of the contact

email
string

The email of the contact

subscribed
boolean

Subscription status of the contact

unsub_token
string

Unsubscribe token for the contact

custom_fields
object

Custom fields of the contact

createdAt
string<date-time>

Creation timestamp of the contact

updatedAt
string<date-time>

Last update timestamp of the contact